%define ocamlpck  gstreamer

Name:          ocaml-gstreamer
Version:       0.2.0
Release:       1mamba
Summary:       An OCaml interface for the GStreamer Multimedia framework
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://savonet.sourceforge.net/
Source:        http://sourceforge.net/projects/savonet/files/ocaml-gstreamer/%{version}/ocaml-gstreamer-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
## AUTOBUILDREQ-END
BuildRequires: gcc
BuildRequires: pkg-config
BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ocaml-gstreamer is an OCaml interface for the GStreamer Multimedia framework.

## remove the following two blocks if there's no devel files
%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%prep
%setup -q

%build
./configure \
   --prefix=%{_prefix} \
   --disable-ldconf

%make
#make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}$(ocamlfind printconf destdir)
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs

install -d $OCAMLFIND_DESTDIR/%{ocamlpck}
install -d $OCAMLFIND_DESTDIR/stublibs

make install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/META
%{_libdir}/ocaml/%{ocamlpck}/*.cma
%{_libdir}/ocaml/%{ocamlpck}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc examples
%doc CHANGES README

%changelog
* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.2.0-1mamba
- package created by autospec
